<div class="summary">
  <h3 class="summary__title">
    {{ "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.TITLE" | translate }}
  </h3>
  <div class="summary__cards" *ngIf="!(isLoading$ | async); else loading">
    <ng-container *ngIf="merchantSummary$ | async as merchantSummary">
      <layout-card-base>
        <div class="card">
          <p class="card__title">
            {{
              "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.TOTAL_SALES"
                | translate
            }}
          </p>
          <p class="card__value">
            {{ merchantSummary?.total_sales_amount?.value | customCurrency }}
          </p>
          <div class="card__bottom">
            <div
              class="percentage"
              [class.positive]="merchantSummary?.total_sales_amount?.isPositive"
            >
              <layout-icon
                [icon]="merchantSummary?.total_sales_amount?.icon"
                [color]="merchantSummary?.total_sales_amount?.iconColor"
              >
              </layout-icon>
              <span>
                {{ merchantSummary?.total_sales_amount?.percentage }}%
              </span>
            </div>
            <span class="last-month">
              {{
                "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.LAST_MONTH"
                  | translate
              }}
            </span>
          </div>
        </div>
      </layout-card-base>
      <layout-card-base>
        <div class="card">
          <p class="card__title">
            {{
              "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.TOTAL_NUMBER_OF_SALES"
                | translate
            }}
          </p>
          <p class="card__value">
            {{ merchantSummary?.total_number_of_sales?.value }}
          </p>
          <div class="card__bottom">
            <div
              class="percentage"
              [class.positive]="
                merchantSummary?.total_number_of_sales?.isPositive
              "
            >
              <layout-icon
                [icon]="merchantSummary?.total_number_of_sales?.icon"
                [color]="merchantSummary?.total_number_of_sales?.iconColor"
              >
              </layout-icon>
              <span>
                {{ merchantSummary?.total_number_of_sales?.percentage }}%
              </span>
            </div>
            <span class="last-month">
              {{
                "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.LAST_MONTH"
                  | translate
              }}
            </span>
          </div>
        </div>
      </layout-card-base>
      <layout-card-base>
        <div class="card">
          <p class="card__title">
            {{
              "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.AVERAGE_TICKET"
                | translate
            }}
          </p>
          <p class="card__value">
            {{ merchantSummary?.avg_ticket?.value | customCurrency }}
          </p>
          <div class="card__bottom">
            <div
              class="percentage"
              [class.positive]="merchantSummary?.avg_ticket?.isPositive"
            >
              <layout-icon
                [icon]="merchantSummary?.avg_ticket?.icon"
                [color]="merchantSummary?.avg_ticket?.iconColor"
              >
              </layout-icon>
              <span>{{ merchantSummary?.avg_ticket?.percentage }}%</span>
            </div>
            <span class="last-month">
              {{
                "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.LAST_MONTH"
                  | translate
              }}
            </span>
          </div>
        </div>
      </layout-card-base>
      <layout-card-base>
        <div class="card">
          <p class="card__title">
            {{
              "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.AVERAGE_NUMBER_PURCHASES_CUSTOMERS"
                | translate
            }}
          </p>
          <p class="card__value">
            {{ merchantSummary?.avg_number_of_purchases?.value }}
            <span>
              /{{
                "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.MONTH" | translate
              }}
            </span>
          </p>
          <div class="card__bottom">
            <div
              class="percentage"
              [class.positive]="
                merchantSummary?.avg_number_of_purchases?.isPositive
              "
            >
              <layout-icon
                [icon]="merchantSummary?.avg_number_of_purchases?.icon"
                [color]="merchantSummary?.avg_number_of_purchases?.iconColor"
              >
              </layout-icon>
              <span>
                {{ merchantSummary?.avg_number_of_purchases?.percentage }}%
              </span>
            </div>
            <span class="last-month">
              {{
                "MERCHANT_MANAGER.MERCHANT_PROFILE.SUMMARY.LAST_MONTH"
                  | translate
              }}
            </span>
          </div>
        </div>
      </layout-card-base>
    </ng-container>
  </div>
</div>

<ng-template #loading>
  <div class="summary__cards">
    <layout-skeleton
      *ngFor="let skeleton of skeletons"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>
